classification
Title: distutils upload: SSL Error when uploading package to your own pypi
Type: behavior Stage: resolved
Components: Distutils Versions: Python 3.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: dstufft, eric.araujo, javidr, steve.dower
Priority: normal Keywords:

Created on 2018-06-27 12:28 by javidr, last changed 2021-02-03 18:19 by steve.dower. This issue is now closed.

Messages (3)
msg320573 - (view) Author: javi (javidr) Date: 2018-06-27 12:28
Hi

I am trying to upload a package to a local Pypi repo i have created, and when trying to do it, im having an ssl error since this repository is under a self signed certificate

<urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:833)>

Using pip, there is an option, --trusted-host, that you can use to ignore ssl validation. Is there a similar option like that when using distutils?

The command i am running is python setup.py sdist upload -r myrepo

Thanks
msg320727 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2018-06-29 18:34
I don’t think there is an option (see the --help command), but on localhost you could use http instead of https.  Otherwise it’s strongly recommended to use twine to upload.
msg386342 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:19
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:19:32steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386342

resolution: out of date
stage: resolved
2018-07-11 14:20:23vstinnersettitle: SSL Error when uploading package to your own pypi -> distutils upload: SSL Error when uploading package to your own pypi
2018-07-11 07:56:14serhiy.storchakasettype: crash -> behavior
2018-06-29 18:34:14eric.araujosetmessages: + msg320727
2018-06-27 12:28:06javidrcreate